/* sleep for t miliseconds. Compiles under:
  1) SunOS5 (needs -lposix4 library to link)
  2) Linux (ELF -- RedHat v.2.0)
  3) IRIX
 */


#include <sys/types.h>
#include <sys/time.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>

struct timespec rqtp;

void ms_sleep(t)
int t;
{
 int s;
 long ns;

 if(t <= 0) {
   return;
   }
 s = t/1000;
 ns = (t % 1000) * 1000000L;
 if(s > 0) {
   sleep(s);
   }
 if(ns > 0) {
   rqtp.tv_sec = 0;
   rqtp.tv_nsec = ns;
   nanosleep(&rqtp, (struct timespec *)NULL);
   }
 return;
 }

 

 
